Skip to main content
`Ctrl`+`K`

# miopenConvAlgoPerf_t Struct Reference

MIOpen: miopenConvAlgoPerf_t Struct Reference
Public Attributes | List of all members
miopenConvAlgoPerf_t Struct Reference
Convolutions

Perf struct for forward, backward filter, or backward data algorithms. More...

`#include <miopen.h>`

## Public Attributes

union { |
miopenConvFwdAlgorithm_t fwd_algo |
miopenConvBwdWeightsAlgorithm_t bwd_weights_algo |
miopenConvBwdDataAlgorithm_t bwd_data_algo |
}; |
float | time
size_t | memory

## Detailed Description

Perf struct for forward, backward filter, or backward data algorithms.

Contains the union to hold the selected convolution algorithm for forward, or backwards layers, and also contains the time it took to run the algorithm and the workspace required to run the algorithm. The workspace in this structure can be used when executing the convolution layer.

## Member Data Documentation

## ◆ [union]

union { ... } miopenConvAlgoPerf_t

## ◆ bwd_data_algo

miopenConvBwdDataAlgorithm_t miopenConvAlgoPerf_t::bwd_data_algo

Back propagation on data convolution algorithm enum selection

## ◆ bwd_weights_algo

miopenConvBwdWeightsAlgorithm_t miopenConvAlgoPerf_t::bwd_weights_algo

Back propagation on weights convolution algorithm enum selection

## ◆ fwd_algo

miopenConvFwdAlgorithm_t miopenConvAlgoPerf_t::fwd_algo

Forward convolution algorithm enum selection

## ◆ memory

size_t miopenConvAlgoPerf_t::memory

Workspace required to run the selected algorithm represented in the union

## ◆ time

float miopenConvAlgoPerf_t::time

Time to exectued the selected algorithm represented in the union

The documentation for this struct was generated from the following file:

- /build/miopen-jNbRQH/miopen-7.2.4+dfsg/include/miopen/miopen.h